## globus-rls-client 5.2

=== Doc/latex/Makefile ===
all: refman.dvi

ps: refman.ps

pdf: refman.pdf

ps_2on1: refman_2on1.ps

pdf_2on1: refman_2on1.pdf

refman.ps: refman.dvi
	dvips -o refman.ps refman.dvi

refman.pdf: refman.ps
	ps2pdf refman.ps refman.pdf

refman.dvi: refman.tex doxygen.sty
	echo "Running latex..."
	latex refman.tex
	echo "Running makeindex..."
	makeindex refman.idx
	echo "Rerunning latex...."
	latex refman.tex
	latex_count=5 ; \
	while egrep -s 'Rerun (LaTeX|to get cross-references right)' refman.log && [ $$latex_count -gt 0 ] ;\
	    do \
	      echo "Rerunning latex...." ;\
	      latex refman.tex ;\
	      latex_count=`expr $$latex_count - 1` ;\
	    done

refman_2on1.ps: refman.ps
	psnup -2 refman.ps >refman_2on1.ps

refman_2on1.pdf: refman_2on1.ps
	ps2pdf refman_2on1.ps refman_2on1.pdf

clean:
	rm -f *.ps *.dvi *.aux *.toc *.idx *.ind *.ilg *.log *.out

=== debian/changelog ===
globus-rls-client (5.2-9) unstable; urgency=low

  * Add arm64 to the list of 64 bit architectures

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 26 May 2013 19:34:03 +0200

globus-rls-client (5.2-8) unstable; urgency=low

  * debian/rules cleanup

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 Jan 2012 20:15:08 +0100

globus-rls-client (5.2-7) unstable; urgency=low

  * Fix broken links in README file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 17 Jan 2012 23:10:30 +0100

globus-rls-client (5.2-6) unstable; urgency=low

  * Recompile against Globus Toolkit 5.2.0

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 29 Dec 2011 08:37:04 +0100

globus-rls-client (5.2-5) unstable; urgency=low

  * Use system jquery script

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 07 Jun 2011 05:58:52 +0200

globus-rls-client (5.2-4) unstable; urgency=low

  * Add README file
  * Use new doxygen-latex build dependency (Closes: #616245)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 26 Apr 2011 18:38:56 +0200

globus-rls-client (5.2-3) unstable; urgency=low

  * Update to Globus Toolkit 5.0.2

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Jul 2010 12:54:05 +0200

globus-rls-client (5.2-2) unstable; urgency=low

  * Converting to package format 3.0 (quilt)
  * Add new build dependency on texlive-font-utils due to changes in texlive
    packaging (epstopdf moved there) (Closes: #583052)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 04 Jun 2010 04:43:30 +0200

globus-rls-client (5.2-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.0
  * Add debug package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 27 Jan 2010 10:40:10 +0100

globus-rls-client (5.1-7) unstable; urgency=low

  * Make sure the diff.gz file only changes the debian directory.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 08 Aug 2009 15:58:05 +0200

globus-rls-client (5.1-6) unstable; urgency=low

  * Fix format errors.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 04 Jun 2009 10:52:13 +0200

globus-rls-client (5.1-5) unstable; urgency=low

  * Fix rule dependencies in the debian/rules file.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 13 May 2009 22:57:26 +0200

globus-rls-client (5.1-4) unstable; urgency=low

  * Fixing inherited dependency of binary to the libgssapi-error2
    package which has now been removed from the archive.

 -- Steffen Moeller <moeller@debian.org>  Fri, 01 May 2009 11:07:04 +0200

globus-rls-client (5.1-3) unstable; urgency=low

  * Initial release (Closes: #514486).
  * Rebuilt to correct libltdl dependency.
  * Preparing for other 64bit platforms than amd64.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 18 Apr 2009 20:17:35 +0200

globus-rls-client (5.1-2) UNRELEASED; urgency=low

  * Only quote the Apache-2.0 license if necessary.
  * Updated deprecated Source-Version in debian/control.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 26 Mar 2009 09:21:25 +0100

globus-rls-client (5.1-1) UNRELEASED; urgency=low

  * First build.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 03 Jan 2009 16:22:14 +0100

=== debian/control ===
Source: globus-rls-client
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-common-dev (>= 14), libglobus-gssapi-gsi-dev (>= 10), libglobus-io-dev (>= 9), doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript
Standards-Version: 3.9.4
Section: net
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-rls-client
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-rls-client
Homepage: http://www.globus.org/

Package: libglobus-rls-client5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Globus Toolkit - Replica Location Service Client
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-rls-client5 package contains:
 Replica Location Service Client

Package: globus-rls-client-progs
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Globus Toolkit - Replica Location Service Client Programs
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-rls-client-progs package contains:
 Replica Location Service Client Programs

Package: libglobus-rls-client-dev
Section: libdevel
Architecture: any
Depends: libglobus-rls-client5 (= ${binary:Version}), ${misc:Depends}, libglobus-common-dev (>= 14), libglobus-gssapi-gsi-dev (>= 10), libglobus-io-dev (>= 9), globus-core (>= 8)
Recommends: libglobus-rls-client-doc (= ${source:Version})
Description: Globus Toolkit - Replica Location Service Client Development Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-rls-client-dev package contains:
 Replica Location Service Client Development Files

Package: libglobus-rls-client-doc
Section: doc
Architecture: all
Depends: libglobus-rls-client-dev (>= ${source:Version}), ${misc:Depends}, ${js:Depends}
Description: Globus Toolkit - Replica Location Service Client Documentation Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-rls-client-doc package contains:
 Replica Location Service Client Documentation Files

Package: globus-rls-client-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libglobus-rls-client5 (= ${binary:Version}) | globus-rls-client-progs (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - Replica Location Service Client Debug Symbols
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-rls-client-dbg package contains:
 Replica Location Service Client Debug Symbols

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

name = globus-rls-client
_name = globus_rls_client
version = 5.2
soname = 5

INSTALLDIR = $(CURDIR)/debian/tmp
GLOBUSPACKAGEDIR = $(INSTALLDIR)$(_datadir)/globus/packages

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc/lib$(name)-dev

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 arm64 ia64 kfreebsd-amd64 ppc64 s390x sparc64))
flavor = gcc64
else
flavor = gcc32
endif

sed: sed-stamp

sed-stamp:
	dh_testdir

	for f in `find . ! -path */.pc/* -name Makefile.am` ; do \
	  sed -e 's!^flavorinclude_HEADERS!include_HEADERS!' \
	      -e 's!\(lib[a-zA-Z_]*\)_$$(GLOBUS_FLAVOR_NAME)\.la!\1.la!g' \
	      -e 's!^\(lib[a-zA-Z_]*\)___GLOBUS_FLAVOR_NAME__la_!\1_la_!' \
	    -i $$f ; \
	done
	sed -e "s!<With_Flavors!<With_Flavors ColocateLibraries=\"no\"!" \
	  -i pkgdata/pkg_data_src.gpt.in

	touch $@

unsed:
	dh_testdir

	if [ -e sed-stamp ] ; then \
	  for f in `find . ! -path */.pc/* -name Makefile.am` ; do \
	    sed -e 's!^include_HEADERS!flavorinclude_HEADERS!' \
		-e 's!\(lib[a-zA-Z_]*\)\.la!\1_$$(GLOBUS_FLAVOR_NAME).la!g' \
		-e 's!^\(lib[a-zA-Z_]*\)_la_!\1___GLOBUS_FLAVOR_NAME__la_!' \
	      -i $$f ; \
	  done ; \
	  sed -e "s!<With_Flavors ColocateLibraries=\"no\"!<With_Flavors!" \
	    -i pkgdata/pkg_data_src.gpt.in ; \
	  sed -e 's!^flavorinclude_HEADERS!include_HEADERS!' -i Makefile.am ; \
	fi

	rm -f sed-stamp

configure: configure-stamp

configure-stamp: sed-stamp
	dh_testdir

	/usr/share/globus/globus-bootstrap.sh

	dh_autotools-dev_updateconfig

	./configure \
	   --disable-static \
	   --with-flavor=$(flavor) \
	   --enable-doxygen \
	   --with-docdir=$(_docdir)

	# Reduce overlinking
	sed 's!CC -shared !CC \\$${wl}--as-needed -shared !g' -i libtool

	touch $@

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch $@

clean: unsed
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) distclean ; fi

	dh_autotools-dev_restoreconfig

	# Remove autogenerated files

	rm -f aclocal.m4
	rm -f configure
	rm -f config.guess
	rm -f config.sub
	rm -f ltmain.sh
	rm -f mkinstalldirs

	rm -f doxygen/Doxyfile*
	rm -f doxygen/Makefile.am
	rm -f pkgdata/Makefile.am
	rm -f pkgdata/*.filelist
	rm -f pkgdata/*.gpt
	rm -f pkgdata/$(name).pc
	rm -f pkgdata/pkg_data_src.pc.in
	rm -f gptdata.sh
	rm -f globus_automake*
	rm -rf autom4te.cache

	rm -rf doxygen/doc

	rm -f Doc/man/man3/Makefile

	find . -name Makefile.in -exec rm {} ';'

	rm -f build-stamp configure-stamp

	dh_clean debian/*.install

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) install DESTDIR=$(INSTALLDIR)

	# Remove libtool archives (.la files)
	find $(INSTALLDIR)$(_libdir) -name 'lib*.la' -exec rm -v '{}' \;
	sed '/lib.*\.la$$/d' \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_dev.filelist

	# Remove installed license file
	rm -f $(INSTALLDIR)$(_docdir)/GLOBUS_LICENSE
	sed /GLOBUS_LICENSE/d \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist

	# Move client man page to progs package
	grep globus-rls-cli.1 \
	  $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist \
	  >> $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist
	sed /globus-rls-cli.1/d \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist

	# Use system jquery script
	if [ -r $(INSTALLDIR)$(_docdir)/html/jquery.js ] ; then \
	  rm $(INSTALLDIR)$(_docdir)/html/jquery.js ; \
	  ln -s /usr/share/javascript/jquery/jquery.js \
	    $(INSTALLDIR)$(_docdir)/html/jquery.js ; \
	  echo js:Depends=libjs-jquery >> debian/lib$(name)-doc.substvars ; \
	else \
	  echo js:Depends= >> debian/lib$(name)-doc.substvars ; \
	fi

	# Generate package filelists
	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_rtl.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/lib$(name)$(soname).install
	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/$(name)-progs.install
	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_dev.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/lib$(name)-dev.install
	cat $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/lib$(name)-doc.install

binary: binary-arch binary-indep

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs -a debian/README
	dh_installchangelogs -a
	dh_install -a --fail-missing
	dh_installman -a
	dh_link -a
	dh_strip -a --dbg-package=$(name)-dbg
	dh_compress -a
	dh_fixperms -a
	dh_perl -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a -l debian/lib$(name)$(soname)/usr/lib
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs -p lib$(name)-doc --link-doc=lib$(name)-dev
	dh_installdocs -i
	dh_installchangelogs -i
	dh_install -i --fail-missing
	dh_installman -i
	dh_link -i
	dh_compress -i -X .tag
	dh_fixperms -i
	dh_perl -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

get-orig-source:
	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
	else \
	  if [ ! -r gt5.0.0-all-source-installer.tar.bz2 ] ; then \
	    echo "Downloading Globus Toolkit release." ; \
	    echo "This should be necessary only once for all globus packages." ; \
	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.0/installers/src/gt5.0.0-all-source-installer.tar.bz2 ; \
	  fi ; \
	  echo "Extracting relevant parts of the Globus Toolkit release." ; \
	  tar -xjf gt5.0.0-all-source-installer.tar.bz2 \
	    gt5.0.0-all-source-installer/source-trees/replica/rls/client ; \
	  mv gt5.0.0-all-source-installer/source-trees/replica/rls/client \
	    $(name)-$(version) ; \
	  rm -rf $(name)-$(version)/java ; \
	  echo "Packing it up again." ; \
	  GZIP=-9 tar --exclude=CVS -czf $(name)_$(version).orig.tar.gz \
	    $(name)-$(version) ; \
	  echo "Cleaning up." ; \
	  rm -rf gt5.0.0-all-source-installer $(name)-$(version) ; \
	fi

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure install get-orig-source
